summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO37
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD56
-rw-r--r--flutter.csh2
-rw-r--r--flutter.install28
-rw-r--r--flutter.sh2
6 files changed, 129 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..cb129401526
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,37 @@
+pkgbase = flutter-git
+ pkgdesc = A new mobile app SDK to help developers and designers build modern mobile apps for iOS and Android.
+ pkgver = 0.2.9.r39.d121cbc80
+ pkgrel = 1
+ url = https://flutter.io
+ install = flutter.install
+ arch = x86_64
+ license = custom:https://github.com/flutter/flutter/blob/master/LICENSE
+ makedepends = git
+ makedepends = python
+ depends = glu
+ depends = java-environment
+ depends = lib32-libglvnd
+ optdepends = android-sdk
+ optdepends = android-studio
+ optdepends = bash
+ optdepends = dart
+ optdepends = git
+ optdepends = intellij-idea-community-edition
+ optdepends = intellij-idea-ultimate-edition
+ optdepends = perl
+ optdepends = python
+ optdepends = sh
+ provides = flutter
+ conflicts = flutter
+ options = !emptydirs
+ backup = opt/flutter/packages/flutter_test/pubspec.yaml
+ backup = opt/flutter/packages/flutter/pubspec.yaml
+ source = flutter::git+https://github.com/flutter/flutter
+ source = flutter.sh
+ source = flutter.csh
+ sha256sums = SKIP
+ sha256sums = 1dea1952d386c43948b9970382c2da5b65b7870684b8ad2ad89124e873aa485a
+ sha256sums = 7ef10d753cfaac52d243549764a793f44f8284a1f4b11715ccd2fa915b026a6f
+
+pkgname = flutter-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..a1cc4689302
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+flutter-*.pkg.tar.xz
+flutter/
+pkg/
+src/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..65f79d90a83
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,56 @@
+# Maintainer: Fredy GarcĂ­a <frealgagu at gmail dot com>
+
+pkgname=flutter-git
+pkgver=0.2.9.r39.d121cbc80
+pkgrel=1
+pkgdesc="A new mobile app SDK to help developers and designers build modern mobile apps for iOS and Android."
+arch=("x86_64")
+url="https://${pkgname%-git}.io"
+license=("custom:https://github.com/${pkgname%-git}/${pkgname%-git}/blob/master/LICENSE")
+depends=("glu" "java-environment" "lib32-libglvnd")
+optdepends=("android-sdk"
+ "android-studio"
+ "bash"
+ "dart"
+ "git"
+ "intellij-idea-community-edition"
+ "intellij-idea-ultimate-edition"
+ "perl"
+ "python"
+ "sh")
+makedepends=("git" "python")
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+backup=("opt/${pkgname%-git}/packages/${pkgname%-git}_test/pubspec.yaml" "opt/${pkgname%-git}/packages/${pkgname%-git}/pubspec.yaml")
+options=("!emptydirs")
+install="${pkgname%-git}.install"
+source=("${pkgname%-git}::git+https://github.com/${pkgname%-git}/${pkgname%-git}"
+ "${pkgname%-git}.sh"
+ "${pkgname%-git}.csh")
+sha256sums=("SKIP"
+ "1dea1952d386c43948b9970382c2da5b65b7870684b8ad2ad89124e873aa485a"
+ "7ef10d753cfaac52d243549764a793f44f8284a1f4b11715ccd2fa915b026a6f")
+
+pkgver() {
+ cd "${srcdir}/${pkgname%-git}"
+ (
+ set -o pipefail
+ git describe --long --tags 2> /dev/null | sed "s/^[a-Z\.\-]*//;s/\([^-]*-\)g/r\1/;s/-/./g" ||
+ printf "r%s.%s\n" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${srcdir}/${pkgname%-git}"
+ "bin/${pkgname%-git}" doctor
+}
+
+package() {
+ install -Dm644 "${srcdir}/${pkgname%-git}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+ install -Dm755 "${srcdir}/${pkgname%-git}.sh" "${pkgdir}/etc/profile.d/${pkgname%-git}.sh"
+ install -Dm755 "${srcdir}/${pkgname%-git}.csh" "${pkgdir}/etc/profile.d/${pkgname%-git}.csh"
+ install -d "${pkgdir}/opt/${pkgname%-git}/"
+ cp -ra "${srcdir}/${pkgname%-git}" "${pkgdir}/opt/"
+ find "${pkgdir}/opt/${pkgname%-git}" -type d -exec chmod a+rx {} +
+ find "${pkgdir}/opt/${pkgname%-git}" -type f -exec chmod a+r {} +
+}
diff --git a/flutter.csh b/flutter.csh
new file mode 100644
index 00000000000..fdb197131b7
--- /dev/null
+++ b/flutter.csh
@@ -0,0 +1,2 @@
+setenv FLUTTER_HOME /opt/flutter
+setenv PATH ${PATH}:${FLUTTER_HOME}/bin:
diff --git a/flutter.install b/flutter.install
new file mode 100644
index 00000000000..38b04039034
--- /dev/null
+++ b/flutter.install
@@ -0,0 +1,28 @@
+post_install() {
+ printf "$(tput setaf 4)Flutter was installed on $(tput setaf 2)/opt/flutter$(tput sgr0)\n"
+ printf "$(tput setaf 4)$(tput sgr0)\n"
+ printf "$(tput setaf 4)You need to source $(tput setaf 2)/etc/profile$(tput setaf 4) or relogin to add flutter to your path.$(tput sgr0)\n"
+ printf "$(tput setaf 4)$(tput sgr0)\n"
+ printf "$(tput setaf 4)This folder has root permissions, so keep in mind to run flutter as root,$(tput sgr0)\n"
+ printf "$(tput setaf 4)otherwise you will not be able to modify anything in this directory.$(tput sgr0)\n"
+ printf "$(tput setaf 4)$(tput sgr0)\n"
+ printf "$(tput setaf 4)If you intend to use it as a regular user, create the Flutter users group:$(tput sgr0)\n"
+ printf "$(tput setaf 2)groupadd flutterusers$(tput sgr0)\n"
+ printf "$(tput setaf 4)Add your user into this group:$(tput sgr0)\n"
+ printf "$(tput setaf 2)gpasswd -a <user> flutterusers$(tput sgr0)\n"
+ printf "$(tput setaf 4)Change folder's group.$(tput sgr0)\n"
+ printf "$(tput setaf 2)chown -R :flutterusers /opt/flutter$(tput sgr0)\n"
+ printf "$(tput setaf 4)Change permissions of the folder so the user that was just added to the group will be able to write in it:$(tput sgr0)\n"
+ printf "$(tput setaf 2)chmod -R g+w /opt/flutter$(tput sgr0)\n"
+ printf "$(tput setaf 4)Re-login your terminal in to the newly created group:$(tput sgr0)\n"
+ printf "$(tput setaf 2)newgrp flutterusers$(tput sgr0)\n"
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ printf "$(tput setaf 4)If you had added/modified files or permissions in folder /opt/flutter is possible you need to delete it manually.$(tput sgr0)\n"
+ printf "$(tput setaf 2)rm -rf /opt/flutter$(tput sgr0)\n"
+}
diff --git a/flutter.sh b/flutter.sh
new file mode 100644
index 00000000000..5b3db4b8b9b
--- /dev/null
+++ b/flutter.sh
@@ -0,0 +1,2 @@
+export FLUTTER_HOME=/opt/flutter
+export PATH=${PATH}:${FLUTTER_HOME}/bin